#ifndef MODEBUTTON_H
#define MODEBUTTON_H

#include <QPushButton>
#include <QLabel>
#include <QHBoxLayout>
#include <qgsettings.h>
#include <QWidget>
class ModeButton : public QPushButton
{
    Q_OBJECT
public:
    explicit ModeButton(QWidget *parent = nullptr);
    ModeButton(QString strIcon, QWidget *parent = nullptr);
    virtual ~ModeButton();

    QPixmap drawSymbolicColoredPixmap(QPixmap &source, QString cgColor);
    void initUI();
    void setModeIcon();
    bool isShowPwd();

protected:
    bool eventFilter(QObject *obj, QEvent *event) override;  //事件过滤
private:
    void initStyleTheme();

private:
    QString m_strIcon;
    QString m_strText;
    QGSettings *m_styleSettings = nullptr;
    QString m_strThemeName = "";
    bool pwdShow = false;
    bool m_isHover = false;
};
#endif // MODEBUTTON_H
